Bug 435539 - the special keys of my asus notebook don't work..
the special keys of my asus notebook don't work..
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 05:07 EST by lm
Modified: 2008-10-20 17:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 17:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf, i've to send you the log too... (803 bytes, text/plain)
2008-03-04 04:36 EST, lm
no flags Details
xorg.21.log (42.13 KB, text/plain)
2008-03-04 06:19 EST, lm
no flags Details

  None (edit)
Description lm 2008-03-01 05:07:43 EST
i've an Asus A4K, 

the multimedia keys don't work at all. i searched for a module or something, but
i found nothing useful by myself.

the same keys worked well with other linux version.

if i launch xev the pression of those keys produce no effect.

thanks for attention.

ptux
Comment 1 David Howells 2008-03-03 08:56:04 EST
This isn't a keyutils problem.  keyutils deals with encryption keys not 
keyboard keys.  I think this probably belongs to one of the Xorg components.
Comment 2 Matěj Cepl 2008-03-03 16:41:41 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 lm 2008-03-04 04:36:07 EST
Created attachment 296713 [details]
xorg.conf, i've to send you the log too...
Comment 4 lm 2008-03-04 06:19:35 EST
Created attachment 296725 [details]
xorg.21.log
Comment 5 Peter Hutterer 2008-08-10 22:43:50 EDT
Can you please compile up evtest.c [1] and run it on your keyboard device (when the X server is not running). Then hit some of the multimedia keys and post the output here.

I would wager a guess that they keycodes are > 255, in which case the server will silently ignore it. The X Protocol doesn't support high keycodes.

[1] http://people.freedesktop.org/~whot/evtest.c
Comment 6 Matěj Cepl 2008-09-10 12:17:08 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Matěj Cepl 2008-10-20 17:25:26 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.